Author Topic: Geographiclocation command in lisp  (Read 4225 times)

0 Members and 1 Guest are viewing this topic.

dubb

  • Swamp Rat
  • Posts: 1105
Geographiclocation command in lisp
« on: March 03, 2018, 03:37:50 PM »
Is there a geograpphiclocation command or variable in lisp? I want to set my drawing environment without the dialogue windows.

VovKa

  • Water Moccasin
  • Posts: 1628
  • Ukraine
Re: Geographiclocation command in lisp
« Reply #1 on: March 04, 2018, 07:04:53 AM »
it is most likely stored somewhere in the dictionary
compare the output of (entget (namedobjdict) (list "*")) before and after assigning geograpphiclocation

dubb

  • Swamp Rat
  • Posts: 1105
Re: Geographiclocation command in lisp
« Reply #2 on: March 06, 2018, 12:08:42 PM »
It seems like the dictionary list of entities are the same. I haven't looked any deeper into each entity yet.

Blank cad file
Code: [Select]
((-1 . <Entity name: 2060781e8c0>) (0 . "DICTIONARY") (330 . <Entity name: 0>) (5 . "C") (100 . "AcDbDictionary") (280 . 0) (281 . 1) (3 . "ACAD_CIP_PREVIOUS_PRODUCT_INFO") (350 . <Entity name: 20607816830>) (3 . "ACAD_COLOR") (350 . <Entity name: 2060781ee30>) (3 . "ACAD_DETAILVIEWSTYLE") (350 . <Entity name: 2060781eea0>) (3 . "ACAD_GROUP") (350 . <Entity name: 2060781e8d0>) (3 . "ACAD_LAYOUT") (350 . <Entity name: 2060781ee20>) (3 . "ACAD_MATERIAL") (350 . <Entity name: 2060781e900>) (3 . "ACAD_MLEADERSTYLE") (350 . <Entity name: 2060781ee60>) (3 . "ACAD_MLINESTYLE") (350 . <Entity name: 2060781edf0>) (3 . "ACAD_PLOTSETTINGS") (350 . <Entity name: 2060781ee10>) (3 . "ACAD_PLOTSTYLENAME") (350 . <Entity name: 2060781e8e0>) (3 . "ACAD_SCALELIST") (350 . <Entity name: 2060781ec20>) (3 . "ACAD_SECTIONVIEWSTYLE") (350 . <Entity name: 2060781ee80>) (3 . "ACAD_TABLESTYLE") (350 . <Entity name: 2060781ee40>) (3 . "ACAD_VISUALSTYLE") (350 . <Entity name: 2060781ea90>) (3 . "AcDbVariableDictionary") (350 . <Entity name: 206078168a0>))

After adding geographiclocation
Code: [Select]
((-1 . <Entity name: 2060781e8c0>) (0 . "DICTIONARY") (330 . <Entity name: 0>) (5 . "C") (100 . "AcDbDictionary") (280 . 0) (281 . 1) (3 . "ACAD_CIP_PREVIOUS_PRODUCT_INFO") (350 . <Entity name: 20607816830>) (3 . "ACAD_COLOR") (350 . <Entity name: 2060781ee30>) (3 . "ACAD_DETAILVIEWSTYLE") (350 . <Entity name: 2060781eea0>) (3 . "ACAD_GROUP") (350 . <Entity name: 2060781e8d0>) (3 . "ACAD_LAYOUT") (350 . <Entity name: 2060781ee20>) (3 . "ACAD_MATERIAL") (350 . <Entity name: 2060781e900>) (3 . "ACAD_MLEADERSTYLE") (350 . <Entity name: 2060781ee60>) (3 . "ACAD_MLINESTYLE") (350 . <Entity name: 2060781edf0>) (3 . "ACAD_PLOTSETTINGS") (350 . <Entity name: 2060781ee10>) (3 . "ACAD_PLOTSTYLENAME") (350 . <Entity name: 2060781e8e0>) (3 . "ACAD_SCALELIST") (350 . <Entity name: 2060781ec20>) (3 . "ACAD_SECTIONVIEWSTYLE") (350 . <Entity name: 2060781ee80>) (3 . "ACAD_TABLESTYLE") (350 . <Entity name: 2060781ee40>) (3 . "ACAD_VISUALSTYLE") (350 . <Entity name: 2060781ea90>) (3 . "AcDbVariableDictionary") (350 . <Entity name: 206078168a0>))
« Last Edit: March 06, 2018, 12:12:13 PM by dubb »

mjfarrell

  • Seagull
  • Posts: 14444
  • Every Student their own Lesson
Re: Geographiclocation command in lisp
« Reply #3 on: March 06, 2018, 01:23:58 PM »
I think this document answers your question....

GEO Location Informationl
Be your Best


Michael Farrell
http://primeservicesglobal.com/

VovKa

  • Water Moccasin
  • Posts: 1628
  • Ukraine
Re: Geographiclocation command in lisp
« Reply #4 on: March 28, 2018, 09:11:43 AM »
Is there a geograpphiclocation command or variable in lisp? I want to set my drawing environment without the dialogue windows.
have you tried (setvar "LATITUDE" Deg) and (setvar "LONGITUDE" Deg)?

Mark

  • Custom Title
  • Seagull
  • Posts: 28762
Re: Geographiclocation command in lisp
« Reply #5 on: March 28, 2018, 10:15:15 AM »
Is there a geograpphiclocation command or variable in lisp? I want to set my drawing environment without the dialogue windows.
I use this.

Code: [Select]
(defun set-state-plane ()
  (if (ade_projsetwscode "FL83-WF")
    (prompt "Changed to NAD83, Florida State Plane, West Zone, US Survey Foot")
    )
  (princ)
  )
TheSwamp.org  (serving the CAD community since 2003)